Connection possibilities

There are many possible ways to connect to the Internet and to your company network. Many of these are new technologies that provide more flexible means of connectivity.

This chapter provides information about your connection options.

Connecting at work

Connecting at home

Modem connections

Using broadband

Satellite connections

Wireless connections


Connecting at work

Most company networks allow you to access email and other company resources from your computer. You may also be able to access the Internet, depending on your company's policies and infrastructure. Talk to your network administrator about what is possible on your network. You can connect to most companies using either an Ethernet or Token Ring connection.

If your employer uses high-speed Internet access, you probably have a firewall. A firewall restricts the type of Internet traffic that can access your network, but it also requires that you adjust the settings on your computer to access content beyond the firewall. A proxy server is set up to allow you to browse the Web while maintaining firewall security.

Many employers are now offering wireless LAN connections to the network. You will need to obtain information regarding this option from your network administrator.


Connecting at home

To gain access to the Internet from home or on the road, you will need an Internet service provider. Your employer may provide you with one for work purposes. Outside your company's network, some of the types you can use include: Modem, broadband, and satellite connections.

Modem. With a modem you may be able to connect to your company's network over an analog phone line.

Broadband. Broadband includes several new technologies including DSL, cable, satellite and ISDN connections.

Satellite. Some Internet service providers offer a completely wireless connection using satellite connections. Other providers might offer a satellite connection that uses a phone line as well as a connection to a satellite. Consult your network administrator about your company policy concerning using your ThinkPad(R) computer outside of your company network.


Modem connections

With a modem you may be able to connect to your company's network over an analog phone line. Analog phone lines are commonly found in homes. Analog is the only type of phone line that should be used with a modem or fax. Businesses and hotels generally use a digital phone line (PBX), but may also provide an analog phone for your computer or fax. Check with your company or hotel to make sure that you are using the right type.

You can also connect to the Internet through a cellular phone, or other mobile phone. This is similar to connecting through a wired phone, but you will need software and hardware to link your computer and phone. Consult the documentation from the phone's manufacturer for more information about how to connect your cell phone to your computer.

To connect to the Internet over the phone line, you will need to have an account set up with your employer. You may also be able to set up an account through an ISP. Consult your network administrator for information about how to connect over the phone.


Using broadband

Broadband includes several new technologies including DSL, cable, and ISDN connections.

Security

To your computer, most broadband connections look like your network at work. Because of the fast connection that broadband affords, you need to be concerned with the same security issues that your company is. It is highly recommended that you purchase a router or personal firewall software to protect your computer from intruders.

A router provides some firewall protection and may also allow you to connect multiple devices to a single connection. A personal firewall is a program that runs on your computer and restricts incoming Internet traffic. A personal firewall can be used with broadband connections when you are on the road. Neither solution is perfect. Consult your network administrator for your company's policy.

To connect to your company network, you will probably need to configure a virtual private network (VPN). A VPN enables you to make a secure connection over the Internet and requires special access from your company. Your company may have other special security procedures also.


Satellite connections

Some Internet service providers offer a completely wireless connection to the Internet via satellite. Unlike a wireless connection to an access point or residential gateway, which connects to your broadband or phone line, with a satellite service, there is no wired connection from your home. Instead, your computer will probably be connected to the satellite antenna using an Ethernet, Wireless LAN (802.11), or Bluetooth connection.

Some providers use phone lines for uploading and satellite connections for downloading Internet content. Others use a satellite connection for both. Consult your Internet service provider for information about how to set up your satellite connection.


Wireless connections

You can connect to the Internet without connecting a wire to your computer by setting up a wireless access point or residential gateway. A wireless access point does not connect you to the Internet directly. Instead, it connects to a wired connection (like a cable modem, DSL modem or phone line).

There are two wireless technologies that are being used to connect to an access point: Wireless LAN (the IEEE 802.11b standard), and Bluetooth(TM). Both of these technologies work similarly when used for wireless networking.

To connect to an access point, you will need several pieces of information. You will need to know the network name (obtain this from your administrator), and your MAC address (which should have come with your computer or wireless networking card). You may also need to set up encryption. Contact your administrator for your network name and encryption settings. You may need to register your MAC address with your network administrator before connecting to your company network. A residential gateway is the consumer version of an access point. Consult your residential gateway instructions for setup.

Be careful to disable the antenna when you are not using it because it uses power even when you are not connected to the network. Some models have an integrated Wireless LAN and/or Bluetooth antenna and hardware. If your computer did not come with integrated wireless, you can purchase a PC Card as an option. Wireless LAN gives you a high-speed connection to an access point.

If your computer comes with the built-in wireless networking card, refer to Making wireless LAN connections for more information.


Using Bluetooth

If your computer is equipped with the Integrated Bluetooth(TM) features, your computer has a power button and an indicator for them.

(1) Bluetooth power button

Press this button to turn the IBM Integrated Bluetooth on and off. Whenever you start the computer, you must press this button to turn on the Bluetooth features.

(2) Bluetooth indicator

This indicator is on whenever the Integrated Bluetooth features are on, and blinks when they are functioning.

Using the IBM Integrated Bluetooth features

If your computer is equipped with the Integrated Bluetooth features, the following two icons are displayed on the screen:

  • My Bluetooth Places on the desktop

  • IBM Bluetooth Console in the system tray of the taskbar

My Bluetooth Places

To use the Bluetooth features, do the following:

  1. Double-click the My Bluetooth Places icon on the desktop.
  2. Double-click the Entire Bluetooth Neighborhood icon. The devices on which Bluetooth has been enabled are displayed.
  3. Click the device to which you want access. A list of the services available on that device is displayed: dial-up networking, serial port connection, network access, and Public folder.
  4. Click the service you want.

For more information, press the F1 key to open the online help for Bluetooth.

IBM Bluetooth Console

To use the security features or the configuration features of Bluetooth, right-click the icon. A pop-up menu appears. Select Setup, then Security or Configuration.

The IBM Bluetooth console has the following functions:

  • Setting the security mode for the Bluetooth connection.

  • Making a permanent connection between your ThinkPad computer and a Bluetooth-enabled device. This process, called pairing, makes it possible to use the device without searching.

  • Configuring the Bluetooth connection.

  • Adding the Bluetooth connection by use of the Bluetooth Connection Wizard.

For the details, click Setup, then Security or Configuration in the pop-up menu. The Bluetooth Security panel or Configuration panel opens. Click the Help button.


Making wireless LAN connections

If your computer is equipped with the built-in wireless networking card (the IEEE 802.11b standard), the configuration utility comes with the card to help you make wireless LAN connections and monitor the status of your connection.

Wireless networking setup

Checking connection status

Enabling or disabling the wireless feature

Supported frequency sub-bands

Notes:

  1. If your computer is not shipped with a wireless feature, you cannot add such a feature to the computer.

  2. If your computer has a wireless feature, do not remove the Mini-PCI Card from the Mini-PCI Card slot.


Wireless networking setup

Before you can use the built-in wireless networking card (the IEEE 802.11b standard) to communicate, you need to take a moment to set up wireless networking connections. The procedure is as follows:

Note: If you plan to use a wireless configuration with an Access Point, consult your network administrator to verify that the built-in wireless networking card is correctly registered. You will need to provide your administrator with the MAC address of the card. To find the MAC address from the Configuration Utility, click the About tab; the address is shown in the NIC Firmware section.

Note: When you close the Configuration Utility, your wireless networking antenna remains enabled. To disconnect from your network, click the Configuration Utility icon in the system tray, and click Wireless Radio Off.

For Windows(R) XP:

Note: If you choose not to have Windows XP manage your wireless network connections, go to the Wireless Network tab on the Wireless Network Connection Property window, and clear the checkbox for Use Windows to configure my wireless network settings. Then follow the instructions given for Windows 2000.

  1. Click Start -> Connect To -> Wireless Network Connection.
    2. The Connect to Wireless Network window opens.
  2. Select an Access Point you want to connect from the Available networks field, which shows all Access Points available. Type a network key, if necessary. If there is no Access point in the Available networks field, click Advanced... to check the connections.
  3. Click Connect to connect to a wireless network.

For more information about wireless networking in Windows XP, click Start -> Help and Support. Use the search function to find topics on wireless networking.

For Windows 2000:

  1. Open the Configuration Utility window by double-clicking the system tray icon that looks like this:
    2. OR
    Click Start -> Programs -> IBM High Rate Wireless LAN Configuration Utility. The Configuration Utility window opens.
  2. Click the Configuration tab to open the Configuration window.
  3. In the Configuration window, click the button next to the Default Configuration Profile. You can customize the name of the profile by deleting the word default and typing the profile name you prefer in the text box.
  4. From the dropdown menu, select the mode you want to use with the profile. You can choose one of the following modes:
    5. Peer-to-peer (802.11 AdHoc): This mode is used to enable two or more wireless-enabled PCs to exchange data directly, without an Access Point. An AdHoc network of which they are the only members and over which they can exchange data can be established. To exchange data, each computer participating in the AdHoc network must specify the same SSID and AdHoc Channel.
    Access Point (Infrastructure): In this mode all data on the wireless network is directed to an Access Point, from which it is routed to the appropriate wireless station. The Access Point can also be configured so that data can be bridged from the wireless network to a wired network.
  1. Type your Network Name (SSID). You can get it from your network administrator. The wireless LAN interface card scans the available channels. In infrastructure mode it looks for an Access Point; in AdHoc mode it looks for another station that has the same SSID. With whatever it finds, it attempts to form a wireless LAN.
  2. From the dropdown menu, select the transmit rate that you want to use with the profile. You can choose one of the following rates:
    3. Fully Automatic: The wireless LAN interface card chooses the highest available rate that will provide reliable communications, as determined from the capabilities of the Access Point or station with which it communicates and from the quality of the signal received.
    Auto 1 or 2 Mb: Operate only at 1 and 2 Mb/s.
    5.5Mb: Operate only at only 5.5Mb/s.
    11Mb: Operate only at 11Mb/s.
  3. Click the Encryption tab to open the Encryption window.
  4. From the pulldown menu, select the encryption mode that you want to use with the profile. You can choose one of the following modes:
    5. Disabled: Use no encryption.
    64bit: Encrypt with a 64-bit key.
    128bit: Encrypt with a 128-bit key.
  5. When you enable encryption, you need to specify each key you want, by one of the following methods:
    6. Create keys manually: Create encryption keys by clicking the button next to Create Key Manually. For 64-bit encryption, you may either type exactly 10 hexadecimal digits in each of the four key fields or type exactly 5 characters in each of the four key fields; for 128-bit encryption, you may either type exactly 26 hexadecimal digits or type exactly 13 characters. Then click the Apply button to create your encryption keys.
    Create keys with Passphrase: If you want, you can click the button next to Create Key with Passphrase and create key by passphrase by typing, a character string in the Passphrase field. As you type, the Configuration Utility uses an algorithm to generate four keys used for encryption. This option is specifically applicable for two wireless hosts to communicate in peer-to-peer environment in a secured way.
  6. Click OK to save your profile and exit the Configuration Utility.


Using the Wireless LAN Configuration Utility WEP key

Making wireless LAN connections

Your wireless technology package enables you to use a comprehensive set of communication options. If you use a WEP key and a Lucent Access Point for wireless networking, you must use the hexadecimal conversion of the WEP key in ASCII format. To set up a WEP key for a Lucent Access Point in the IBM High Rate Wireless LAN Configuration Utility, do the following:

  1. Click the following icon in the system tray:
  1. Click the Encryption tab.
  2. Select 64 bit or 128 bit from the Encryption (WEP) drop down menu.
  3. Click Create Keys Manually.
    5. Or use the following chart to find the hexadecimal conversion of the WEP key in ASCII format.
    Alphanumeric character from WEP key on Lucent Access Points | HEX value to enter into the Wireless LAN Configuration Utility
0 | 30
1 | 31
2 | 32
3 | 33
4 | 34
5 | 35
6 | 36
7 | 37
8 | 38
9 | 39
A | 41
B | 42
C | 43
D | 44
E | 45
F | 46
G | 47
H | 48
I | 49
J | 4A
K | 4B
L | 4C
M | 4D
N | 4E
O | 4F
P | 50
Q | 51
R | 52
S | 53
T | 54
U | 55
V | 56
W | 57
X | 58
Y | 59
Z | 5A
a | 61
b | 62
c | 63
d | 64
e | 65
f | 66
g | 67
h | 68
i | 69
j | 6A
k | 6B
l | 6C
m | 6D
n | 6E
o | 6F
p | 70
q | 71
r | 72
s | 73
t | 74
u | 75
v | 76
w | 77
x | 78
y | 79
z | 7A
  1. If you copied the converted hexadecimal value to your clipboard, then place your cursor in the Key field and press Ctrl + V to paste in the value. Otherwise, type the hexadecimal value for each alphanumeric character from the WEP key in the Key fields 1- 4.
    2. For example, if the alphanumeric code is "abc123," enter 616263313233 in the Key field.
    Note: It is important to know the case of the alphabetic characters in the WEP key because capital letters have different values than lower case letters.
  1. Click Apply.
  2. Click OK.


Checking connection status

You can check the signal strength and status of your wireless connection either by opening the IBM High Rate Wireless LAN MiniPCI Combo Card Configuration Utility, or by clicking the IBM High Rate Wireless LAN MiniPCI Combo Card Configuration Utility icon. This icon is in the icon tray, at the bottom right corner of your screen.

The IBM High Rate Wireless LAN MiniPCI Combo Card Configuration Utility icon displays the signal strength and status of your wireless connection as follows:

Note: If you are using Windows XP, click Start -> Connect To -> Wireless Network Connection, or double-clicking the IBM High Rate Wireless LAN icon in the system tray. The Wireless Network Connection Status window opens.

Icon signifying that your wireless connection has no link or a very poor one. No link or a very poor one

Icon signifying that your wireless connection is usable but has a weak link. Usable but weak link

Icon signifying that your wireless connection has a strong link. Strong link

Note: If you have trouble in making a connection, try moving your computer closer to your wireless access point.


Enabling or disabling the wireless feature

To enable the wireless feature, do as follows:

  1. Right-click the following icon in the system tray:

  1. Click Turn Wireless Radio On.

To disable the wireless feature, do as follows:

  1. Right-click the wireless LAN icon in the system tray. Because the icon changes to show signal strength, the system tray icon will look like one of the following three icons:
  1. Click Turn Wireless Radio Off.

Note: If you are using Windows XP, go to the Wireless Network Connection Status window and click Disable.


Supported frequency sub-band

This wireless LAN PC is certified by FCC (US only).

The following table lists the channel sets in the 2400 to 2500 MHz range.

Channel ID | Megahertz (MHz)
1 | 2412
2 | 2417
3 | 2422
4 | 2427
5 | 2432
6 | 2437
7 | 2442
8 | 2447
9 | 2452
10 | 2457
11 | 2462
12 | n/a
13 | n/a
14 | n/a


Transferring data

With your ThinkPad(R) computer and a device such as a palmtop computer or a personal digital assistant (PDA), you can transfer data among your electronic calendars, address books, and other applications.

For certain devices and software, you can use the infrared (IR) port or the serial port to exchange information.

  • Using the infrared port

  • Using the serial connector


Data-migration tools

The IBM data transfer program enables you to transfer settings and data from one computer to another computer. The IBM data transfer program is useful if you want to set up a new computer with the familiar settings and critical data stored on your old computer. This convenient wizard interface helps you through the transfer process. You can select to transfer:

  • Desktop settings

  • Network settings

  • The contents of specific folders

You also can select how you want to transfer data, such as by removable disk or across a local area network.

The IBM data transfer program is available on the Web at this address:

http://www.pc.ibm.com/qtechinfo/MIGR-4XGUDT.html


Using the infrared port

Note: Follow these steps before installing the software that came with your palmtop computer or other external device. When you are ready to begin a transfer, be sure that nothing obstructs the path between the infrared ports.

  1. Click this button to configure the infrared port:
  2. Click the list arrow, click Enable, and then click OK.

  3. Install and use the software that came with your external device, following the instructions provided for the software.


Using the serial connector

You can transfer data and synchronize files with devices that use the serial connector.

Note: Follow these steps before installing the software that came with your palmtop computer or other external device.

  1. Click this button to configure the serial connector:
  2. Click the list arrow, click Enable, and then click OK.

  3. Install and use the software that came with your external device, following the instructions provided for the software.